/*
  Axis.h - Library for controlling an axis that is powered by a servo
*/
#ifndef Axis_h
#define Axis_h

#include "Arduino.h"
#include <Servo.h>

class Axis
{
  public:
    Axis(int pin, int AXIS_MIN_ANGLE, int AXIS_MAX_ANGLE, int AXIS_BASE_ANGLE);
    
    /*
      sets the axis to the given angle, updates the variable currentAngle and returns the angle to which the axis was set
      return INT_MAX if the desired angle isn't between the smallest and the biggest possibe value
    */
    int setAngle(int angle);
    
    // returns the current Angle of the axis
    int getAngle();

    
  private:
    int const MIN_ANGLE;
    int const MAX_ANGLE;
    int currentAngle;
};

#endif
