/*
  Steeper.h - Library for controlling a stepper
*/
#ifndef Steeper_h
#define Steeper_h

#include "Arduino.h"

class Steeper
{
  public:
    /*
      dir pin and steep pin are pins of the driver
      forward determines wether the direction of rotation is forwards or backwards (in relation to the robot)
    */
    Steeper(int dirPin, int steepPin, bool forward);

    /*
      makes one step
    */
    void steep();

    /*
      makes one step
      steepSpeed specifies the speed of the step without changing the default speed
    */
    void steep(unsigned int steepSpeed);

    /*
      sets the speed with which a step is made
    */
    void setSteepSpeed(unsigned int steepSpeed);

    /*
      sets the direction of the Stepper
    */
    void setDirection(bool forward);

    
  private:
    int _dirPin;
    int _steepPin;
    unsigned int _steepSpeed;
    bool _forward;
};

#endif
